Bug 14296 - package contains owned by pseudouser directory
: package contains owned by pseudouser directory
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/fprobe-ulog)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-02-03 16:33 by
Modified: 2008-09-02 16:23 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-02-03 16:33:17
# rpmquery -lv fprobe-ulog |grep /var
drwxr-xr-x    2 _fprobe root                0 Jun 14  2007 /var/lib/fprobe-ulog

согласно secure packaging policy, псевдопользователь не может быть владельцем 
директории. предлагается завести группу _fprobe и изменить права на директорию
0770 root._fprobe

И кстати говоря, вписывать псевдопользователя _fprobe в группу users тоже 
неудачная
идея.
------- Comment #1 From 2008-02-03 17:32:36 -------
Fixed in alt3.1 (давно починил, на забыл залить).

Про _fprobe в users: не вижу в упор:

~/git/fprobe-ulog$ GR 'add ' fprobe-ulog.spec                                  
                                         
/usr/sbin/useradd -r -d %fprobedir -s /dev/null %fuser >/dev/null 2>&1 ||:
------- Comment #2 From 2008-02-03 17:33:59 -------
Fixed in alt3.1 (давно починил, на забыл залить).

Про _fprobe в users: не вижу в упор:

~/git/fprobe-ulog$ GR 'add ' fprobe-ulog.spec                                  
                                         
/usr/sbin/useradd -r -d %fprobedir -s /dev/null %fuser >/dev/null 2>&1 ||:

И, насколько вижу по историй изменения спека, никогда такого не было.
------- Comment #3 From 2008-02-03 18:04:36 -------
вот поэтому и.
groupadd -r -f _fprobe
useradd -r -g _fprobe ...
предлагаю также подумать, как выкручиваться с имеющимися инсталляциями.
------- Comment #4 From 2008-02-03 18:06:58 -------
непонятно, как оно могло быть починено в 3.1,
если группы _fprobe, которую предлагается выставить на
обсуждаемую директорию, нет.
reopen
------- Comment #5 From 2008-03-09 12:36:47 -------
Группа то там создаётся по умолчанию, поскольку нет флага "-n" (alt3 ->
alt3.1).
Вот как быть со старыми инсталяциями, я и не знаю...
------- Comment #6 From 2008-09-02 16:19:36 -------
<13>Sep  2 16:15:45 rpmi: fprobe-ulog-1.1-alt3.1 installed
evg@evg ~ $ hsh-shell --rooter ~/hasher 
[root@evg .in]# rpm -q fprobe-ulog
fprobe-ulog-1.1-alt3.1
[root@evg .in]# grep fprobe /etc/group
_fprobe:x:101:
[root@evg .in]# grep fprobe /etc/passwd
_fprobe:x:100:101::/var/lib/fprobe-ulog:/dev/null

?